unit UPrinc;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, Menus;

type
  TFPrinc = class(TForm)
    LabelForme: TLabel;
    EditV: TEdit;
    ComboP: TComboBox;
    ComboT: TComboBox;
    ComboM: TComboBox;
    ComboV: TComboBox;
    CheckPronom: TCheckBox;
    BitBtn1: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure EditVChange(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Dclarations prives }
    pret : boolean;
    procedure AjVide(C: TCombobox; A : Array of ShortString);
  public
    { Dclarations publiques }
  end;

var
  FPrinc: TFPrinc;

implementation

{$R *.DFM}

uses flexF;

procedure TFPrinc.AjVide(C: TCombobox; A : Array of ShortString);
   var i : integer;
begin
   for i := low(A) to high(A) do
      C.Items.Add(A[i]);
   C.ItemIndex := 1;
end;

procedure TFPrinc.FormCreate(Sender: TObject);
   var i : integer;
begin
   EditV.Text := 'aimer';
   // combos

   // ajouter la ligne vide
   AjVide(ComboP, personne);
   AjVide(ComboT, temps);
   AjVide(ComboM, mode);
   AjVide(ComboV, voix);
end;

procedure TFPrinc.FormActivate(Sender: TObject);
begin
   // afficher la forme par dfaut;
   EditVChange(nil);
end;

procedure TFPrinc.EditVChange(Sender: TObject);
   var Verbe : TVerbe;
begin
   if trim(EditV.Text) = '' then exit;
   LabelForme.Caption := Conjugue(
      EditV.Text,
      ComboP.ItemIndex,
      ComboT.ItemIndex,
      ComboM.ItemIndex,
      ComboV.ItemIndex,
      CheckPronom.Checked);
end;

procedure TFPrinc.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
   if Key = VK_ESCAPE then close;
end;

end.
